#ifndef _STONEGENERATOR_H
#define _STONEGENERATOR_H

class CStoneGenerator
{

public:
    virtual ~CStoneGenerator();

	static CStoneGenerator* NewL();

	static CStoneGenerator* NewLC();
	
    CStone* Build(TInt8 aCode);
    CStone* BuildRandom();
	TInt8 BuildRandomCode();

private:

	/**
        * Constructor for performing 1st stage construction
        */
	CStoneGenerator();

	/**
        * EPOC default constructor for performing 2nd stage construction
        */
	void ConstructL();	
};

#endif // ndef _STONEGENERATOR_H
