/*
============================================================================
 Name        : DarkSideTetrisApp.cpp
 Author      : 
 Copyright   : Your copyright notice
 Description : Main application class
============================================================================
*/

// INCLUDE FILES
#include    "DarkSideTetrisApp.h"
#include    "DarkSideTetrisDocument.h"

// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CDarkSideTetrisApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CDarkSideTetrisApp::AppDllUid() const
    {
    return KUidDarkSideTetris;
    }


// ---------------------------------------------------------
// CDarkSideTetrisApp::CreateDocumentL()
// Creates CDarkSideTetrisDocument object
// ---------------------------------------------------------
//
CApaDocument* CDarkSideTetrisApp::CreateDocumentL()
    {
    return CDarkSideTetrisDocument::NewL( *this );
    }

// ================= OTHER EXPORTED FUNCTIONS ==============
//
// ---------------------------------------------------------
// NewApplication()
// Constructs CDarkSideTetrisApp
// Returns: created application object
// ---------------------------------------------------------
//
EXPORT_C CApaApplication* NewApplication()
    {
    return new CDarkSideTetrisApp;
    }

// ---------------------------------------------------------
// E32Dll(TDllReason)
// Entry point function for EPOC Apps
// Returns: KErrNone: No error
// ---------------------------------------------------------
//
GLDEF_C TInt E32Dll( TDllReason )
    {
    return KErrNone;
    }



