#include "DarkSideTetris.h"
#include <e32math.h>

CStoneGenerator::CStoneGenerator()
{
	// No implementation required
}


CStoneGenerator::~CStoneGenerator()
{
}

CStoneGenerator* CStoneGenerator::NewLC()
{
	CStoneGenerator* self = new (ELeave)CStoneGenerator();
	CleanupStack::PushL(self);
	self->ConstructL();
	return self;
}

CStoneGenerator* CStoneGenerator::NewL()
{
	CStoneGenerator* self=CStoneGenerator::NewLC();
	CleanupStack::Pop(); // self;
	return self;
}

void CStoneGenerator::ConstructL()
{

}

CStone* CStoneGenerator::Build(TInt8 aCode)
{
  CStone* iStone = new CStone ();
  iStone->SetCode(aCode);
  return iStone;
}


CStone* CStoneGenerator::BuildRandom()
{
	return Build(BuildRandomCode ());
}

TInt8 CStoneGenerator::BuildRandomCode()
{
	TInt8 rnd = (Math::Random () % DS_STONE_TYPE_COUNT) + 1;
	return rnd;
}
