/*
============================================================================
 Name        : DarkSideTetrisApp.h
 Author      : 
 Copyright   : Your copyright notice
 Description : Declares main application class.
============================================================================
*/

#ifndef DARKSIDETETRISAPP_H
#define DARKSIDETETRISAPP_H

// INCLUDES
#include <aknapp.h>

// CONSTANTS
// UID of the application
const TUid KUidDarkSideTetris = { 0x078AE40F };

// CLASS DECLARATION

/**
* CDarkSideTetrisApp application class.
* Provides factory to create concrete document object.
*
*/
class CDarkSideTetrisApp : public CAknApplication
    {

    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CDarkSideTetrisDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();

        /**
        * From CApaApplication, returns application's UID (KUidDarkSideTetris).
        * @return The value of KUidDarkSideTetris.
        */
        TUid AppDllUid() const;
    };

#endif



