/*
============================================================================
 Name        : DarkSideTetrisDocument.h
 Author      : 
 Copyright   : Your copyright notice
 Description : Declares document class for application.
============================================================================
*/

#ifndef DARKSIDETETRISDOCUMENT_H
#define DARKSIDETETRISDOCUMENT_H

// INCLUDES
#include <akndoc.h>

// CONSTANTS

// FORWARD DECLARATIONS
class  CEikAppUi;

// CLASS DECLARATION

/**
*  CDarkSideTetrisDocument application class.
*/
class CDarkSideTetrisDocument : public CAknDocument
    {
    public: // Constructors and destructor
        /**
        * Two-phased constructor.
        */
        static CDarkSideTetrisDocument* NewL(CEikApplication& aApp);

        /**
        * Destructor.
        */
        virtual ~CDarkSideTetrisDocument();

    public: // New functions

    public: // Functions from base classes
    protected:  // New functions

    protected:  // Functions from base classes

    private:

        /**
        * EPOC default constructor.
        */
        CDarkSideTetrisDocument(CEikApplication& aApp);
        void ConstructL();

    private:

        /**
        * From CEikDocument, create CDarkSideTetrisAppUi "App UI" object.
        */
        CEikAppUi* CreateAppUiL();
    };

#endif



