#ifndef GAMESTATE_H_
#define GAMESTATE_H_

class CGameState : public CBase {

	public:

		static CGameState* NewL();	
		virtual ~CGameState ();		
		
		void NextFrame ();
		void UpdateLocalPlayer (TTime aCurrentTime);
	
		CGameTable* iGameTable;
		CStoneGenerator* iStoneGenerator;
		CScoreBoard* iScoreBoard;
	
		TInt8 iGlobalState;	
		TBuf<6> iPlayerName;
		
		TInt8 iNextStoneCode;
		TTime iStartGameTime;
		
	private:
		CGameState ();
		void ConstructL ();
		
};

#endif /*GAMESTATE_H_*/
