/*
============================================================================
 Name        : DarkSideTetrisDocument.cpp
 Author      : 
 Copyright   : Your copyright notice
 Description : CDarkSideTetrisDocument implementation
============================================================================
*/

// INCLUDE FILES
#include "DarkSideTetrisDocument.h"
#include "DarkSideTetrisAppui.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CDarkSideTetrisDocument::CDarkSideTetrisDocument(CEikApplication& aApp)
: CAknDocument(aApp)
    {
    }

// destructor
CDarkSideTetrisDocument::~CDarkSideTetrisDocument()
    {
    }

// EPOC default constructor can leave.
void CDarkSideTetrisDocument::ConstructL()
    {
    }

// Two-phased constructor.
CDarkSideTetrisDocument* CDarkSideTetrisDocument::NewL(
        CEikApplication& aApp)     // CDarkSideTetrisApp reference
    {
    CDarkSideTetrisDocument* self = new (ELeave) CDarkSideTetrisDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }

// ----------------------------------------------------
// CDarkSideTetrisDocument::CreateAppUiL()
// constructs CDarkSideTetrisAppUi
// ----------------------------------------------------
//
CEikAppUi* CDarkSideTetrisDocument::CreateAppUiL()
    {
    return new (ELeave) CDarkSideTetrisAppUi;
    }


